# SubscribeBook | xrpl
Documentation for xrpl

# Interface SubscribeBook

#### Hierarchy

- SubscribeBook

- Defined in packages/xrpl/src/models/methods/subscribe.ts:14

#####
Index

### Properties

both?
snapshot?
taker
taker_gets
taker_pays

## Properties

### `Optional` both

both?: boolean

If true, return both sides of the order book. The default is false.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:36

### `Optional` snapshot

snapshot?: boolean

If true, return the current state of the order book once when you subscribe before sending updates. The default is false.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:34

### taker

taker: string

Unique account address to use as a perspective for viewing offers, in the. XRP Ledger's base58 format.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:29

### taker_gets

taker_gets: Currency

Specification of which currency the account taking the Offer would receive, as a currency object with no amount.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:19

### taker_pays

taker_pays: Currency

Specification of which currency the account taking the Offer would pay, as a currency object with no amount.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:24

Generated using TypeDoc